# RuntimeHintProcessor class abstract interface

An abstract interface that users can implement to configure the RuntimeHintDescriptor registry.

Implementations of this interface are discovered by the reflection scanner and their `proceed` method is called to register RuntimeHints. This allows users to provide custom, AOT-compatible reflection logic.

## Example

    class MyExecutableConfig implements RuntimeHintProcessor {
      @override
      void proceed(RuntimeHintDescriptor descriptor) {
        descriptor.addRuntimeHint(
          RuntimeHint(
            type: MyService,
            newInstance: (name, [args = const [], namedArgs = const {}]) => MyService(),
          ),
        );
      }
    }

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
proceed(RuntimeHintDescriptor descriptor) → void
  Proceeds to configure the given RuntimeHintDescriptor by adding RuntimeHints to it.
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited